0

I am trying to change image adapter in my Magento 2.2.2 store from GD2 to

I am doing this

  1. Run this is CLI /opt/cpanel/ea-php71/root/usr/bin/pecl install imagick

  2. Run this in CLI change to and enable ImageMagick in Magento 2 ImageMagick

php bin/magento config:set dev/image/default_adapter imagick

But I get this error

The specified image adapter cannot be used because of: Image adapter for 'imagick' is not setup.

Please can someone help

8
  • what's the output of running #1
    – danronmoon
    Commented Jul 19, 2019 at 17:25
  • install ok: channel://pecl.php.net/imagick-3.4.4 is this the correct version for magento 2.2.2
    – jt9489
    Commented Jul 19, 2019 at 17:27
  • Does php bin/magento config:set dev/image/default_adapter IMAGEMAGICK work (or ImageMagick)
    – danronmoon
    Commented Jul 19, 2019 at 17:29
  • php bin/magento config:set dev/image/default_adapter IMAGEMAGICK gives output vlaue was saved - is this correct? anyway to test which adapter magento is now using?
    – jt9489
    Commented Jul 19, 2019 at 17:32
  • Yes this has an image adapter built-in: \Magento\Framework\Image\Adapter\ImageMagick. Not sure how to verify it gets used without directly editing the class or stepping through the code.
    – danronmoon
    Commented Jul 19, 2019 at 17:36

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.